]> Cypherpunks.ru repositories - goredo.git/blobdiff - t/goredo-$1-touch.t
Explicitly check if $1 unexpectedly appears
[goredo.git] / t / goredo-$1-touch.t
diff --git a/t/goredo-$1-touch.t b/t/goredo-$1-touch.t
new file mode 100755 (executable)
index 0000000..0d73b02
--- /dev/null
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+testname=`basename "$0"`
+test_description="Check failing if unexistent \$1 is touched"
+. $SHARNESS_TEST_SRCDIR/sharness.sh
+export REDO_TOP_DIR="`pwd`" REDO_NO_PROGRESS=1
+
+echo touch \$1 > foo.do
+test_expect_success "it fails" 'redo foo ; [ $? = 1 ]'
+
+test_done